org.wildfly.swarm.config

## Class Modcluster<T extends Modcluster<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Modcluster<T>

- Direct Known Subclasses:
    ModclusterFraction

      public class Modcluster<T extends Modcluster<T>>
      extends Object

  The configuration of the mod_cluster subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Modcluster.ModclusterResources` Child mutators for Modcluster

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Modcluster()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `configurationModClusterConfig()` The common mod_cluster configuration.
    `T` | `configurationModClusterConfig(ConfigurationModClusterConfig value)` The common mod_cluster configuration.
    `T` | `configurationModClusterConfig(ConfigurationModClusterConfigConsumer consumer)` The common mod_cluster configuration.
    `T` | `configurationModClusterConfig(ConfigurationModClusterConfigSupplier supplier)` The common mod_cluster configuration.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Modcluster.ModclusterResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Modcluster

          public Modcluster()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Modcluster.ModclusterResources subresources()

    - #### configurationModClusterConfig

          public T configurationModClusterConfig(ConfigurationModClusterConfig value)

      The common mod_cluster configuration.

    - #### configurationModClusterConfig

          public T configurationModClusterConfig(ConfigurationModClusterConfigConsumer consumer)

      The common mod_cluster configuration.

    - #### configurationModClusterConfig

          public T configurationModClusterConfig()

      The common mod_cluster configuration.

    - #### configurationModClusterConfig

          public T configurationModClusterConfig(ConfigurationModClusterConfigSupplier supplier)

      The common mod_cluster configuration.

Copyright © 2017 JBoss by Red Hat. All rights reserved.